Skip to main content
GET
/
v2
/
agency_accounts
List Agency Accounts
curl --request GET \
  --url https://api.example.com/v2/agency_accounts \
  --header 'Authorization: Bearer <token>'
[
  {
    "region": "AL",
    "id": "<string>",
    "name": "<string>",
    "agency": {
      "id": "<string>",
      "name": "<string>",
      "website": "<string>"
    },
    "data": [
      {
        "name": "<string>",
        "description": "<string>",
        "value": "<string>",
        "status": "todo"
      }
    ],
    "logins": [
      {
        "id": "<string>",
        "name": "<string>",
        "region": "AL",
        "url": "<string>"
      }
    ]
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.mosey.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

region
enum<string> | null
Available options:
AL,
AK,
AZ,
AR,
CA,
CO,
CT,
DE,
DC,
FL,
GA,
HI,
ID,
IL,
IN,
IA,
KS,
KY,
LA,
ME,
MD,
MA,
MI,
MN,
MS,
MO,
MT,
NE,
NV,
NH,
NJ,
NM,
NY,
NC,
ND,
OH,
OK,
OR,
PA,
RI,
SC,
SD,
TN,
TX,
UT,
VT,
VA,
WA,
WV,
WI,
WY
legal_entity_public_id
string | null
user_or_platform_public_id
string | null
platform_public_id
string | null

Response

Successful Response

region
enum<string>
required
Available options:
AL,
AK,
AZ,
AR,
CA,
CO,
CT,
DE,
DC,
FL,
GA,
HI,
ID,
IL,
IN,
IA,
KS,
KY,
LA,
ME,
MD,
MA,
MI,
MN,
MS,
MO,
MT,
NE,
NV,
NH,
NJ,
NM,
NY,
NC,
ND,
OH,
OK,
OR,
PA,
RI,
SC,
SD,
TN,
TX,
UT,
VT,
VA,
WA,
WV,
WI,
WY
id
string
required
name
string
required
agency
PlatformAgency · object
required
data
PlatformAgencyAttributeAndValue · object[]
required
logins
PlatformLegalEntityAccountLogin · object[]
required